Ant API: Class Ant

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Ant

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Ant

public class Ant
extends Task

Call Ant in a sub-project

Author:
  costin@dnt.ro

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Ant()`

Method Summary
`Task` | `createProperty()`
`void` | `execute()` Do the execution.
`void` | `init()` Called by the project to let the task initialize properly.
`void` | `setAntfile(java.lang.String s)`
`void` | `setDir(java.lang.String d)`
`void` | `setOutput(java.lang.String s)`
`void` | `setTarget(java.lang.String s)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ant

    public Ant()

Method Detail

### init

    public void init()

  Description copied from class: Task
  Called by the project to let the task initialize properly. Normally it does nothing.
  Overrides:
    init in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### execute

    public void execute()
                 throws BuildException

  Do the execution.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### setDir

    public void setDir(java.lang.String d)

### setAntfile

    public void setAntfile(java.lang.String s)

### setTarget

    public void setTarget(java.lang.String s)

### setOutput

    public void setOutput(java.lang.String s)

### createProperty

    public Task createProperty()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.